.admin-toast-container{
    position:fixed;
    top:20px;
    left:50%;
    transform:translateX(-50%);
    z-index:9999;

    display:flex;

    gap:10px;
}

/* toast base */

.admin-toast{
    display: flex;
    justify-content: space-between;
    align-items: center;

    min-width:320px;
    max-width:420px;

    padding: 10px 12px;

    border-radius:8px;

    font-size:14px;

    border:1px solid transparent;

    box-shadow:0 10px 25px rgba(0,0,0,0.15);

    opacity:0;
    transform:translateY(-20px);

    animation:toastSlide 0.35s ease forwards;

}

.admin-toast p {
    margin: 0;
    color: #0d1413;
}

/* success */

.admin-toast-success{
    background:#d1fae5;
    border-color:#6ee7b7;
    color:#065f46;
}

/* danger */

.admin-toast-danger{
    background:#fee2e2;
    border-color:#fca5a5;
    color:#7f1d1d;
}

.button-close-alert {
    background: none;
    border: none;
    cursor: pointer;
}

.button-close-alert > svg {
    pointer-events: none;
}

/* animacion entrada */

@keyframes toastSlide{

    from{
        opacity:0;
        transform:translateY(-25px);
    }

    to{
        opacity:1;
        transform:translateY(0);
    }

}

/* animacion salida */

.admin-toast-hide{
    animation:toastHide 0.35s ease forwards;
}

@keyframes toastHide{

    from{
        opacity:1;
        transform:translateY(0);
    }

    to{
        opacity:0;
        transform:translateY(-25px);
    }

}